Back to Airbyte

Clickup-Api full reference

docs/ai-agents/connectors/clickup-api/REFERENCE.md

2.0.036.4 KB
Original Source

Clickup-Api full reference

This is the full reference documentation for the Clickup-Api agent connector.

Supported entities and actions

The Clickup-Api connector supports the following entities and actions.

EntityActions
UserGet
TeamsList
SpacesList, Get
FoldersList, Get
ListsList, Get
TasksList, Get, API Search
CommentsList, Create, Get, Update
GoalsList, Get
ViewsList, Get
View TasksList
Time TrackingList, Get
MembersList
DocsList, Get

User

User Get

View the details of the authenticated user's ClickUp account

Python SDK

python
await clickup_api.user.get()

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "user",
    "action": "get"
}'
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idinteger
usernamestring
emailstring
colorstring | null
profilePicturestring | null
initialsstring | null
week_start_dayinteger | null
global_font_supportboolean | null
timezonestring | null
</details>

Teams

Teams List

Get the workspaces (teams) available to the authenticated user

Python SDK

python
await clickup_api.teams.list()

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "teams",
    "action": "list"
}'
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
namestring
colorstring | null
avatarstring | null
membersarray<object>
</details>

Spaces

Spaces List

Get the spaces available in a workspace

Python SDK

python
await clickup_api.spaces.list(
    team_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "spaces",
    "action": "list",
    "params": {
        "team_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
team_idstringYesThe ID of the workspace
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
namestring
privateboolean
colorstring | null
avatarstring | null
admin_can_manageboolean | null
statusesarray<object>
multiple_assigneesboolean
featuresobject
archivedboolean
</details>

Spaces Get

Get a single space by ID

Python SDK

python
await clickup_api.spaces.get(
    space_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "spaces",
    "action": "get",
    "params": {
        "space_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
space_idstringYesThe ID of the space
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
namestring
privateboolean
colorstring | null
avatarstring | null
admin_can_manageboolean | null
statusesarray<object>
multiple_assigneesboolean
featuresobject
archivedboolean
</details>

Folders

Folders List

Get the folders in a space

Python SDK

python
await clickup_api.folders.list(
    space_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "folders",
    "action": "list",
    "params": {
        "space_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
space_idstringYesThe ID of the space
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
namestring
orderindexinteger | null
override_statusesboolean
hiddenboolean
spaceobject
task_countstring | null
archivedboolean
statusesarray<object>
deletedboolean | null
listsarray<object>
permission_levelstring | null
</details>

Folders Get

Get a single folder by ID

Python SDK

python
await clickup_api.folders.get(
    folder_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "folders",
    "action": "get",
    "params": {
        "folder_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
folder_idstringYesThe ID of the folder
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
namestring
orderindexinteger | null
override_statusesboolean
hiddenboolean
spaceobject
task_countstring | null
archivedboolean
statusesarray<object>
deletedboolean | null
listsarray<object>
permission_levelstring | null
</details>

Lists

Lists List

Get the lists in a folder

Python SDK

python
await clickup_api.lists.list(
    folder_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "lists",
    "action": "list",
    "params": {
        "folder_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
folder_idstringYesThe ID of the folder
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
namestring
orderindexinteger | null
statusobject | null
priorityobject | null
assigneeobject | null
task_countinteger | null
due_datestring | null
start_datestring | null
folderobject
spaceobject
archivedboolean
override_statusesboolean | null
contentstring | null
deletedboolean | null
inbound_addressstring | null
statusesarray<object>
permission_levelstring | null
</details>

Lists Get

Get a single list by ID

Python SDK

python
await clickup_api.lists.get(
    list_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "lists",
    "action": "get",
    "params": {
        "list_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
list_idstringYesThe ID of the list
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
namestring
orderindexinteger | null
statusobject | null
priorityobject | null
assigneeobject | null
task_countinteger | null
due_datestring | null
start_datestring | null
folderobject
spaceobject
archivedboolean
override_statusesboolean | null
contentstring | null
deletedboolean | null
inbound_addressstring | null
statusesarray<object>
permission_levelstring | null
</details>

Tasks

Tasks List

Get the tasks in a list

Python SDK

python
await clickup_api.tasks.list(
    list_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "tasks",
    "action": "list",
    "params": {
        "list_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
list_idstringYesThe ID of the list
pageintegerNoPage number (0-indexed)
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
custom_idstring | null
custom_item_idinteger | null
namestring
text_contentstring | null
descriptionstring | null
statusobject
orderindexstring | null
date_createdstring | null
date_updatedstring | null
date_closedstring | null
date_donestring | null
archivedboolean
creatorobject
assigneesarray<object>
group_assigneesarray<object>
watchersarray<object>
checklistsarray<object>
tagsarray<object>
parentstring | null
priorityobject | null
due_datestring | null
start_datestring | null
pointsnumber | null
time_estimateinteger | null
time_spentinteger | null
custom_fieldsarray<object>
dependenciesarray<object>
linked_tasksarray<object>
team_idstring | null
urlstring
listobject | null
projectobject | null
folderobject | null
spaceobject | null
top_level_parentstring | null
locationsarray<object>
sharingobject | null
permission_levelstring | null
attachmentsarray<object>
</details>

Tasks Get

Get a single task by ID

Python SDK

python
await clickup_api.tasks.get(
    task_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "tasks",
    "action": "get",
    "params": {
        "task_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
task_idstringYesThe ID of the task
custom_task_idsbooleanNoSet to true to use a custom task ID
include_subtasksbooleanNoInclude subtasks
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
custom_idstring | null
custom_item_idinteger | null
namestring
text_contentstring | null
descriptionstring | null
statusobject
orderindexstring | null
date_createdstring | null
date_updatedstring | null
date_closedstring | null
date_donestring | null
archivedboolean
creatorobject
assigneesarray<object>
group_assigneesarray<object>
watchersarray<object>
checklistsarray<object>
tagsarray<object>
parentstring | null
priorityobject | null
due_datestring | null
start_datestring | null
pointsnumber | null
time_estimateinteger | null
time_spentinteger | null
custom_fieldsarray<object>
dependenciesarray<object>
linked_tasksarray<object>
team_idstring | null
urlstring
listobject | null
projectobject | null
folderobject | null
spaceobject | null
top_level_parentstring | null
locationsarray<object>
sharingobject | null
permission_levelstring | null
attachmentsarray<object>
</details>

View the tasks that meet specific criteria from a workspace. Supports free-text search and structured filters including status, assignee, tags, priority, and date ranges. Responses are limited to 100 tasks per page.

Python SDK

python
await clickup_api.tasks.api_search(
    team_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "tasks",
    "action": "api_search",
    "params": {
        "team_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
team_idstringYesThe workspace ID to search within
searchstringNoFree-text search across task name, description, and custom field text
statuses[]array<string>NoFilter by status names (e.g. "in progress", "done")
assignees[]array<string>NoFilter by user IDs
tags[]array<string>NoFilter by tag names
priorityintegerNoFilter by priority: 1=Urgent, 2=High, 3=Normal, 4=Low
due_date_gtintegerNoDue date after (Unix ms)
due_date_ltintegerNoDue date before (Unix ms)
date_created_gtintegerNoCreated after (Unix ms)
date_created_ltintegerNoCreated before (Unix ms)
date_updated_gtintegerNoUpdated after (Unix ms)
date_updated_ltintegerNoUpdated before (Unix ms)
custom_fieldsarray<object>NoJSON array of custom field filters. Each object: {"field_id": "<UUID>", "operator": "<OP>", "value": "<DATA>"}.
Operators: = (contains), == (exact), <, <=, >, >=, !=, !==, IS NULL, IS NOT NULL, RANGE, ANY, ALL, NOT ANY, NOT ALL
include_closedbooleanNoInclude closed tasks (excluded by default)
pageintegerNoPage number (0-indexed), results capped at 100/page
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
custom_idstring | null
custom_item_idinteger | null
namestring
text_contentstring | null
descriptionstring | null
statusobject
orderindexstring | null
date_createdstring | null
date_updatedstring | null
date_closedstring | null
date_donestring | null
archivedboolean
creatorobject
assigneesarray<object>
group_assigneesarray<object>
watchersarray<object>
checklistsarray<object>
tagsarray<object>
parentstring | null
priorityobject | null
due_datestring | null
start_datestring | null
pointsnumber | null
time_estimateinteger | null
time_spentinteger | null
custom_fieldsarray<object>
dependenciesarray<object>
linked_tasksarray<object>
team_idstring | null
urlstring
listobject | null
projectobject | null
folderobject | null
spaceobject | null
top_level_parentstring | null
locationsarray<object>
sharingobject | null
permission_levelstring | null
attachmentsarray<object>
</details>

Comments

Comments List

Get the comments on a task

Python SDK

python
await clickup_api.comments.list(
    task_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "comments",
    "action": "list",
    "params": {
        "task_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
task_idstringYesThe ID of the task
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
commentarray<object>
comment_textstring
userobject
resolvedboolean
assigneeobject | null
assigned_byobject | null
reactionsarray<object>
datestring
</details>

Comments Create

Create a comment on a task

Python SDK

python
await clickup_api.comments.create(
    comment_text="<str>",
    assignee=0,
    notify_all=True,
    task_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "comments",
    "action": "create",
    "params": {
        "comment_text": "<str>",
        "assignee": 0,
        "notify_all": True,
        "task_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
comment_textstringYesThe comment text
assigneeintegerNoUser ID to assign
notify_allbooleanNoNotify all assignees and watchers
task_idstringYesThe ID of the task
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idinteger
hist_idstring
dateinteger
versionobject | null
</details>

Comments Get

Get threaded replies on a comment

Python SDK

python
await clickup_api.comments.get(
    comment_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "comments",
    "action": "get",
    "params": {
        "comment_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
comment_idstringYesThe ID of the comment
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
commentarray<object>
comment_textstring
userobject
resolvedboolean
assigneeobject | null
assigned_byobject | null
reactionsarray<object>
datestring
</details>

Comments Update

Update an existing comment

Python SDK

python
await clickup_api.comments.update(
    comment_text="<str>",
    assignee=0,
    resolved=True,
    comment_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "comments",
    "action": "update",
    "params": {
        "comment_text": "<str>",
        "assignee": 0,
        "resolved": True,
        "comment_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
comment_textstringNoUpdated comment text
assigneeintegerNoUser ID to assign
resolvedbooleanNoWhether the comment is resolved
comment_idstringYesThe ID of the comment

Goals

Goals List

Get the goals in a workspace

Python SDK

python
await clickup_api.goals.list(
    team_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "goals",
    "action": "list",
    "params": {
        "team_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
team_idstringYesThe ID of the workspace
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
pretty_idstring | null
namestring
team_idstring
creatorinteger | null
ownerobject | null
colorstring
date_createdstring | null
start_datestring | null
due_datestring | null
descriptionstring | null
privateboolean
archivedboolean
multiple_ownersboolean
membersarray<object>
key_resultsarray<object>
percent_completedinteger | null
historyarray<object>
pretty_urlstring | null
</details>

Goals Get

Get a single goal by ID

Python SDK

python
await clickup_api.goals.get(
    goal_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "goals",
    "action": "get",
    "params": {
        "goal_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
goal_idstringYesThe ID of the goal
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
pretty_idstring | null
namestring
team_idstring
creatorinteger | null
ownerobject | null
colorstring
date_createdstring | null
start_datestring | null
due_datestring | null
descriptionstring | null
privateboolean
archivedboolean
multiple_ownersboolean
membersarray<object>
key_resultsarray<object>
percent_completedinteger | null
historyarray<object>
pretty_urlstring | null
</details>

Views

Views List

Get the workspace-level (Everything level) views

Python SDK

python
await clickup_api.views.list(
    team_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "views",
    "action": "list",
    "params": {
        "team_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
team_idstringYesThe ID of the workspace
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
namestring
typestring
parentobject
groupingobject
divideobject
sortingobject
filtersobject
columnsobject
team_sidebarobject
settingsobject
date_createdstring | null
creatorinteger | null
visibilitystring | null
protectedboolean | null
protected_notestring | null
protected_byinteger | null
date_protectedstring | null
orderindexinteger
publicboolean
</details>

Views Get

Get a single view by ID

Python SDK

python
await clickup_api.views.get(
    view_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "views",
    "action": "get",
    "params": {
        "view_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
view_idstringYesThe ID of the view
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
namestring
typestring
parentobject
groupingobject
divideobject
sortingobject
filtersobject
columnsobject
team_sidebarobject
settingsobject
date_createdstring | null
creatorinteger | null
visibilitystring | null
protectedboolean | null
protected_notestring | null
protected_byinteger | null
date_protectedstring | null
orderindexinteger
publicboolean
</details>

View Tasks

View Tasks List

Get tasks matching a view's pre-configured filters — useful as a secondary search mechanism

Python SDK

python
await clickup_api.view_tasks.list(
    view_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "view_tasks",
    "action": "list",
    "params": {
        "view_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
view_idstringYesThe ID of the view
pageintegerNoPage number (0-indexed)
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
custom_idstring | null
custom_item_idinteger | null
namestring
text_contentstring | null
descriptionstring | null
statusobject
orderindexstring | null
date_createdstring | null
date_updatedstring | null
date_closedstring | null
date_donestring | null
archivedboolean
creatorobject
assigneesarray<object>
group_assigneesarray<object>
watchersarray<object>
checklistsarray<object>
tagsarray<object>
parentstring | null
priorityobject | null
due_datestring | null
start_datestring | null
pointsnumber | null
time_estimateinteger | null
time_spentinteger | null
custom_fieldsarray<object>
dependenciesarray<object>
linked_tasksarray<object>
team_idstring | null
urlstring
listobject | null
projectobject | null
folderobject | null
spaceobject | null
top_level_parentstring | null
locationsarray<object>
sharingobject | null
permission_levelstring | null
attachmentsarray<object>
</details>

Time Tracking

Time Tracking List

Get time entries within a date range for a workspace

Python SDK

python
await clickup_api.time_tracking.list(
    team_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "time_tracking",
    "action": "list",
    "params": {
        "team_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
team_idstringYesThe ID of the workspace
start_dateintegerNoStart date (Unix ms)
end_dateintegerNoEnd date (Unix ms)
assigneestringNoFilter by user ID
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
taskobject | null
widstring | null
userobject
billableboolean
startstring
endstring | null
durationstring
descriptionstring | null
tagsarray<object>
atstring | null
</details>

Time Tracking Get

Get a single time entry by ID

Python SDK

python
await clickup_api.time_tracking.get(
    team_id="<str>",
    time_entry_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "time_tracking",
    "action": "get",
    "params": {
        "team_id": "<str>",
        "time_entry_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
team_idstringYesThe ID of the workspace
time_entry_idstringYesThe ID of the time entry
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
taskobject | null
widstring | null
userobject
billableboolean
startstring
endstring | null
durationstring
descriptionstring | null
tagsarray<object>
atstring | null
</details>

Members

Members List

Get the members assigned to a task

Python SDK

python
await clickup_api.members.list(
    task_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "members",
    "action": "list",
    "params": {
        "task_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
task_idstringYesThe ID of the task
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idinteger
usernamestring
emailstring
colorstring | null
profilePicturestring | null
initialsstring | null
</details>

Docs

Docs List

Search for docs in a workspace

Python SDK

python
await clickup_api.docs.list(
    workspace_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "docs",
    "action": "list",
    "params": {
        "workspace_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
workspace_idstringYesThe ID of the workspace
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
namestring
typeinteger | null
parentobject | null
creatorinteger | null
deletedboolean | null
publicboolean | null
date_createdinteger | null
date_updatedinteger | null
workspace_idinteger | null
contentstring | null
</details>

Docs Get

Fetch a single doc by ID

Python SDK

python
await clickup_api.docs.get(
    workspace_id="<str>",
    doc_id="<str>"
)

API

bash
curl --location 'https://api.airbyte.ai/api/v1/integrations/connectors/{your_connector_id}/execute' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {your_auth_token}' \
--data '{
    "entity": "docs",
    "action": "get",
    "params": {
        "workspace_id": "<str>",
        "doc_id": "<str>"
    }
}'

Parameters

Parameter NameTypeRequiredDescription
workspace_idstringYesThe ID of the workspace
doc_idstringYesThe ID of the doc
<details> <summary><b>Response Schema</b></summary>

Records

Field NameTypeDescription
idstring
namestring
typeinteger | null
parentobject | null
creatorinteger | null
deletedboolean | null
publicboolean | null
date_createdinteger | null
date_updatedinteger | null
workspace_idinteger | null
contentstring | null
</details>